function obr_med=prevedeni_median(obr_zprac,pocet_linii,polohy_linie)
%% Prevedeni prouzku na median
[vyska_oriznuty,sirka_oriznuty] = size(obr_zprac);
obr_med=ones(vyska_oriznuty,sirka_oriznuty);
for i=1:vyska_oriznuty
    for k=1:pocet_linii
        % Vybrani jednoho prouzku z obrazu
        okno=obr_zprac(i,polohy_linie(k):polohy_linie(k+1));
        % Vypocet medianu
        okno_med=median(okno);
        % Zapsani ziskaneho medianu do obrazu
        obr_med(i,polohy_linie(k):polohy_linie(k+1))=okno_med;
    end
end